Winevt.EVT_SUBSCRIBE_FLAGS (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Winevt, interface: EVT_SUBSCRIBE_FLAGS

Package com.sun.jna.platform.win32

# Interface Winevt.EVT_SUBSCRIBE_FLAGS

Enclosing interface:
  Winevt

public static interface Winevt.EVT_SUBSCRIBE_FLAGS
Defines the possible values that specify when to start subscribing to events. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385588(v=vs.85).aspx

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EvtSubscribeOriginMask`
  A bitmask that you can use to determine which of the following flags is set: EvtSubscribeToFutureEvents EvtSubscribeStartAtOldestRecord EvtSubscribeStartAfterBookmark
  `static final int`
  `EvtSubscribeStartAfterBookmark`
  Subscribe to all existing and future events that match the query criteria that begin after the bookmarked event.
  `static final int`
  `EvtSubscribeStartAtOldestRecord`
  Subscribe to all existing and future events that match the query criteria.
  `static final int`
  `EvtSubscribeStrict`
  Forces the `Wevtapi.EvtSubscribe(com.sun.jna.platform.win32.Winevt.EVT_HANDLE, com.sun.jna.platform.win32.Winevt.EVT_HANDLE, java.lang.String, java.lang.String, com.sun.jna.platform.win32.Winevt.EVT_HANDLE, com.sun.jna.Pointer, com.sun.jna.Callback, int)` call to fail if you specify EvtSubscribeStartAfterBookmark and the bookmarked event is not found (the return value is ERROR_NOT_FOUND).
  `static final int`
  `EvtSubscribeToFutureEvents`
  Subscribe to only future events that match the query criteria.
  `static final int`
  `EvtSubscribeTolerateQueryErrors`
  Complete the subscription even if the part of the query generates an error (is not well formed).

- ## Field Details

  - ### EvtSubscribeToFutureEvents

    static final int EvtSubscribeToFutureEvents
    Subscribe to only future events that match the query criteria.
    See Also:
      - Constant Field Values

  - ### EvtSubscribeStartAtOldestRecord

    static final int EvtSubscribeStartAtOldestRecord
    Subscribe to all existing and future events that match the query criteria.
    See Also:
      - Constant Field Values

  - ### EvtSubscribeStartAfterBookmark

    static final int EvtSubscribeStartAfterBookmark
    Subscribe to all existing and future events that match the query criteria that begin after the bookmarked event. If you include the EvtSubscribeStrict flag, the `Wevtapi.EvtSubscribe(com.sun.jna.platform.win32.Winevt.EVT_HANDLE, com.sun.jna.platform.win32.Winevt.EVT_HANDLE, java.lang.String, java.lang.String, com.sun.jna.platform.win32.Winevt.EVT_HANDLE, com.sun.jna.Pointer, com.sun.jna.Callback, int)` function fails if the bookmarked event does not exist. If you do not include the EvtSubscribeStrict flag and the bookmarked event does not exist, the subscription begins with the event that is after the event that is closest to the bookmarked event.
    See Also:
      - Constant Field Values

  - ### EvtSubscribeOriginMask

    static final int EvtSubscribeOriginMask
    A bitmask that you can use to determine which of the following flags is set:
    - EvtSubscribeToFutureEvents
    - EvtSubscribeStartAtOldestRecord
    - EvtSubscribeStartAfterBookmark
    See Also:
      - Constant Field Values

  - ### EvtSubscribeTolerateQueryErrors

    static final int EvtSubscribeTolerateQueryErrors
    Complete the subscription even if the part of the query generates an error (is not well formed). The service validates the syntax of the XPath query to determine if it is well formed. If the validation fails, the service parses the XPath into individual expressions. It builds a new XPath beginning with the left most expression. The service validates the expression and if it is valid, the service adds the next expression to the XPath. The service repeats this process until it finds the expression that is failing. It then uses the valid expressions that it found beginning with the leftmost expression as the XPath query (which means that you may not get the events that you expected). If no part of the XPath is valid, the `Wevtapi.EvtSubscribe(com.sun.jna.platform.win32.Winevt.EVT_HANDLE, com.sun.jna.platform.win32.Winevt.EVT_HANDLE, java.lang.String, java.lang.String, com.sun.jna.platform.win32.Winevt.EVT_HANDLE, com.sun.jna.Pointer, com.sun.jna.Callback, int)` call fails.
    See Also:
      - Constant Field Values

  - ### EvtSubscribeStrict

    static final int EvtSubscribeStrict
    Forces the `Wevtapi.EvtSubscribe(com.sun.jna.platform.win32.Winevt.EVT_HANDLE, com.sun.jna.platform.win32.Winevt.EVT_HANDLE, java.lang.String, java.lang.String, com.sun.jna.platform.win32.Winevt.EVT_HANDLE, com.sun.jna.Pointer, com.sun.jna.Callback, int)` call to fail if you specify EvtSubscribeStartAfterBookmark and the bookmarked event is not found (the return value is ERROR_NOT_FOUND). Also, set this flag if you want to receive notification in your callback when event records are missing.
    See Also:
      - Constant Field Values